/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.jms.unit;

import junit.framework.Test;
import org.jboss.ejb3.test.jms.QueueStateless;
import org.jboss.logging.Logger;
import org.jboss.test.JBossTestCase;


public class JMSUnitTestCase
   extends JBossTestCase
{
   private static final Logger log = Logger.getLogger(JMSUnitTestCase.class);
    
    
   public JMSUnitTestCase(String name)
   {
      super(name);
   }
   
   /**
    * Test sending messages to Topic testTopic
    */
   public void testInjectedQueue() throws Exception
   {
      QueueStateless queueStateless =
         (QueueStateless) getInitialContext().lookup("QueueStateless");
      assertNotNull(queueStateless);
      
      queueStateless.send("test message");
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(JMSUnitTestCase.class, "jms.ejb3");
   }
}



